opj_tcd_seg_data_chunk Struct Reference

Chunk of codestream data that is part of a code block. More...

`#include <tcd.h>`

## Data Fields

OPJ_BYTE * | data
OPJ_UINT32 | len

## Detailed Description

Chunk of codestream data that is part of a code block.

## Field Documentation

## data

OPJ_BYTE* opj_tcd_seg_data_chunk::data

Referenced by opj_t1_decode_cblk(), opj_t1_ht_decode_cblk(), and opj_t2_read_packet_data().

## len

OPJ_UINT32 opj_tcd_seg_data_chunk::len

Referenced by opj_t1_decode_cblk(), opj_t1_ht_decode_cblk(), and opj_t2_read_packet_data().

The documentation for this struct was generated from the following file:

- tcd.h